apiVersion: flink.apache.org/v1beta1
kind: FlinkSessionJob
metadata:
  name: basic-example
spec:
  deploymentName: flink-cluster
  flinkConfiguration:
    fs.allowed-fallback-filesystems: s3
    s3.endpoint: s3.amazonaws.com
    plugin.dir: /opt/flink/plugins
  job:
    jarURI: s3://path/flink-test-assembly-1.0.0.jar
    parallelism: 2
    upgradeMode: stateless
    args:
      - --runner=FlinkRunner
      - --attachedMode=false
